%global _empty_manifest_terminate_build 0
Name:		python-wcwidth
Version:	0.2.13
Release:	1
Summary:	A Python library that measures the width of unicode strings rendered to a terminal
License:	MIT
URL:		https://github.com/jquast/wcwidth
Source0:	https://files.pythonhosted.org/packages/source/w/wcwidth/wcwidth-%{version}.tar.gz
BuildArch:	noarch

%description
This library is mainly for those implementing a Terminal Emulator, or
programs that carefully produce output to be interpreted by one.
POSIX.1-2001 and POSIX.1-2008 conforming systems provide wcwidth(3)
and wcswidth(3) C functions of which this python module's functions
precisely copy. These functions return the number of cells a unicode
string is expected to occupy.

%package -n python3-wcwidth
Summary:	A Python library that measures the width of unicode strings rendered to a terminal
Provides:	python-wcwidth = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-wcwidth
This library is mainly for those implementing a Terminal Emulator, or
programs that carefully produce output to be interpreted by one.
POSIX.1-2001 and POSIX.1-2008 conforming systems provide wcwidth(3)
and wcswidth(3) C functions of which this python module's functions
precisely copy. These functions return the number of cells a unicode
string is expected to occupy.

%package help
Summary:	Development documents and examples for wcwidth
Provides:	python3-wcwidth-doc
%description help
This library is mainly for those implementing a Terminal Emulator, or
programs that carefully produce output to be interpreted by one.
POSIX.1-2001 and POSIX.1-2008 conforming systems provide wcwidth(3)
and wcswidth(3) C functions of which this python module's functions
precisely copy. These functions return the number of cells a unicode
string is expected to occupy.

%prep
%autosetup -n wcwidth-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-wcwidth -f filelist.lst
%dir %{python3_sitelib}/*
%license LICENSE

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Feb 01 2024 xu_ping <707078654@qq.com> - 0.2.13-1
- Update package to version 0.2.13

* Fri Mar 17 2023 wangjunqi <wangjunqi@kylinos.cn> - 0.2.6-1
- Update package to version 0.2.6

* Wed Mar 30 2022 wangkai <wangkai385@huawei.com> - 0.2.5-2
- Fix compilation failures

* Mon Feb 1 2021 wutao <wutao61@huawei.com> - 0.2.5-1
- upgrade to 0.2.5

* Fri Jan 29 2021 Zhaorenhai <zhaorenhai@hotmail.com> - 0.1.7-10
- Remove python 2 package

* Fri Mar 06 2020 Jiangping Hu <hujp1985@foxmail.com> - 0.1.7-9
- Package init
